Bug 990650 - [abrt] claws-mail-3.9.2-3.fc19: standard_calloc: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.2-3.fc19: standard_calloc: Process /usr/bin/claws-mail ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:6101af458599e253db1a991e14a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 12:01 EDT by Andrey V. Henneberg
Modified: 2015-01-05 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 19:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.22 KB, text/plain)
2013-07-31 12:01 EDT, Andrey V. Henneberg
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: core_backtrace (1.83 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: dso_list (17.87 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: environ (1.26 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: maps (55.41 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: open_fds (1.23 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: proc_pid_status (793 bytes, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: var_log_messages (1.18 KB, text/plain)
2013-07-31 12:02 EDT, Andrey V. Henneberg
no flags Details
File: xsession_errors (100.49 KB, text/plain)
2013-07-31 12:03 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2013-07-31 12:01:28 EDT
Description of problem:
Claws-mail si crashed when my netbook wakes up from hibernation.

Version-Release number of selected component:
claws-mail-3.9.2-3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: standard_calloc
executable:     /usr/bin/claws-mail
kernel:         3.10.3-300.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 standard_calloc at gmem.c:104
 #3 g_malloc0 at gmem.c:189
 #4 g_malloc0_n at gmem.c:424
 #5 g_hash_table_resize at ghash.c:534
 #6 g_hash_table_maybe_resize at ghash.c:594
 #7 g_hash_table_insert_node at ghash.c:909
 #8 g_hash_table_insert_internal at ghash.c:1155
 #9 imap_get_flags_thread at imap.c:5234
 #10 imap_get_flags at imap.c:5292
 #11 syncronize_flags at folder.c:1940

Potential duplicate: bug 863743
Comment 1 Andrey V. Henneberg 2013-07-31 12:01:40 EDT
Created attachment 781227 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2013-07-31 12:02:06 EDT
Created attachment 781228 [details]
File: cgroup
Comment 3 Andrey V. Henneberg 2013-07-31 12:02:10 EDT
Created attachment 781229 [details]
File: core_backtrace
Comment 4 Andrey V. Henneberg 2013-07-31 12:02:16 EDT
Created attachment 781230 [details]
File: dso_list
Comment 5 Andrey V. Henneberg 2013-07-31 12:02:20 EDT
Created attachment 781231 [details]
File: environ
Comment 6 Andrey V. Henneberg 2013-07-31 12:02:24 EDT
Created attachment 781232 [details]
File: limits
Comment 7 Andrey V. Henneberg 2013-07-31 12:02:28 EDT
Created attachment 781233 [details]
File: maps
Comment 8 Andrey V. Henneberg 2013-07-31 12:02:35 EDT
Created attachment 781234 [details]
File: open_fds
Comment 9 Andrey V. Henneberg 2013-07-31 12:02:45 EDT
Created attachment 781235 [details]
File: proc_pid_status
Comment 10 Andrey V. Henneberg 2013-07-31 12:02:50 EDT
Created attachment 781236 [details]
File: var_log_messages
Comment 11 Andrey V. Henneberg 2013-07-31 12:03:00 EDT
Created attachment 781238 [details]
File: xsession_errors
Comment 12 Michael Schwendt 2013-08-02 05:41:06 EDT
> #0  0x4692d022 in _int_malloc (av=av@entry=0x46a6f420 <main_arena>,
> bytes=bytes@entry=4096) at malloc.c:3533

Memory corruption again, taking down the app at a random location (here ghash access). And Google Mail via IMAP. Networking connection/reconnection problems with IMAP may lead to side-effects in Claws Mail. That has been reported upstream before.

Also see bug 863743 comment 10.
Comment 13 Michael Schwendt 2014-05-01 10:45:58 EDT
Recently, there have been several bug-fixes upstream that will stop some of the side-effects, such as crashes when interrupting networking/IMAP session.


This will need retesting once a new version of Claws Mail (or a Test Update) will be available.
Comment 14 Fedora Update System 2014-05-26 17:17:06 EDT
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20
Comment 15 Fedora Update System 2014-05-26 17:17:41 EDT
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
Comment 16 Fedora Update System 2014-05-27 22:55:53 EDT
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-05-30 19:48:56 EDT
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-11-02 12:51:30 EST
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19
Comment 19 Fedora Update System 2014-11-02 12:52:10 EST
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20
Comment 20 Fedora Update System 2014-11-02 12:54:49 EST
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21
Comment 21 Fedora Update System 2014-11-10 01:29:55 EST
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2014-11-10 01:33:41 EST
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-01-05 02:36:02 EST
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.